Holger's Java API

## com.antelmann.db
Class DBClassStoreCache.PrefetchedFilter<T>

    java.lang.Object
      com.antelmann.db.DBClassStoreCache.PrefetchedFilter<T>

All Implemented Interfaces:
  CascadingFilter<T>, Filter<T>

Enclosing class:
  DBClassStoreCache<T extends DBEntry>

    public static class DBClassStoreCache.PrefetchedFilter<T>

extends Object
implements CascadingFilter<T>

a special interface supported by the enclosing class store that indicates that only pre-fetched (cached) instances should be returned from a fetch. If no inner Filter is set, a fetch will simply return all cached entries.

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`DBClassStoreCache.PrefetchedFilter()`
`DBClassStoreCache.PrefetchedFilter(Filter<? super T> innerFilter)`

Method Summary
`boolean` `accept(T entry)` always returns true unless an inner filter is set that doesn't accept the given entry
`Filter<? super T>` `getInnerFilter()`
`void` `setInnerFilter(Filter<? super T> filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBClassStoreCache.PrefetchedFilter

    public DBClassStoreCache.PrefetchedFilter()

### DBClassStoreCache.PrefetchedFilter

    public DBClassStoreCache.PrefetchedFilter(Filter<? super T> innerFilter)

Method Detail

### getInnerFilter

    public Filter<? super T> getInnerFilter()

  Specified by:
    `getInnerFilter` in interface `CascadingFilter<T>`

### setInnerFilter

    public void setInnerFilter(Filter<? super T> filter)

  Specified by:
    `setInnerFilter` in interface `CascadingFilter<T>`

### accept

    public boolean accept(T entry)

  always returns true unless an inner filter is set that doesn't accept the given entry

  Specified by:
    `accept` in interface `Filter<T>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads